/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/

#if !defined(CY_MAIN_H)
#define CY_MAIN_H

#include <project.h>
#include <device.h>

#ifdef LCDSUPPORT    
/***************************************
*            Constants
****************************************/

/* Buffer and packet size */
#define PACKET_BUF_SIZE (22u)       // LCD Line Buffer
#define BUFFER_SIZE     (PACKET_BUF_SIZE + 5u)
#define PACKET_SIZE     (BUFFER_SIZE)

/* Packet positions */
#define PACKET_CMD_POS  (0u)
#define PACKET_STS_POS  (PACKET_CMD_POS)
#define PACKET_LIN_POS  (1u)
#define PACKET_ROW_POS  (2u)
#define PACKET_HGT_POS  (3u)
#define PACKET_WID_POS  (4u)
#define PACKET_BUF_POS  (5u)

/* Start and end of packet markers */
#define PACKET_SOP      (0x01u)
#define PACKET_EOP      (0x17u)


/* Command valid status */
#define STS_CMD_DONE    (0x00u)
#define STS_CMD_FAIL    (0xFFu)

/* Commands set */
#define CMD_POS_PRT     (0u)
#define CMD_NEW_PRT     (1u)
#define CMD_CLS         (2u)
#define CMD_INV_SCR     (3u)
#define CMD_INV_SEC     (4u)


/***************************************
*         Function Prototypes
****************************************/

uint8 ExecuteCommand(uint8 PACKET_CMD, uint8 PACKET_LIN, uint8 PACKET_ROW, uint8 PACKET_HGT, uint8 PACKET_WID, char PACKET_BUF[PACKET_BUF_SIZE]);

/***************************************
*               Macros
****************************************/

#endif
#endif /* (CY_MAIN_H) */


/* [] END OF FILE */
